//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.HlrcServer
{
    [Serializable]
    public class PhonemeMsg : Message
    {
        public const string k_RosMessageName = "hlrc_server/Phoneme";
        public override string RosMessageName => k_RosMessageName;

        // phoneme descriprion
        // a phone symbol
        public string symbol;
        // and a duration in ms
        public uint duration;

        public PhonemeMsg()
        {
            this.symbol = "";
            this.duration = 0;
        }

        public PhonemeMsg(string symbol, uint duration)
        {
            this.symbol = symbol;
            this.duration = duration;
        }

        public static PhonemeMsg Deserialize(MessageDeserializer deserializer) => new PhonemeMsg(deserializer);

        private PhonemeMsg(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.symbol);
            deserializer.Read(out this.duration);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.symbol);
            serializer.Write(this.duration);
        }

        public override string ToString()
        {
            return "PhonemeMsg: " +
            "\nsymbol: " + symbol.ToString() +
            "\nduration: " + duration.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize);
        }
    }
}
